Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
13.07.2020, 20:03:11

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
Statistiken
  • Beiträge insgesamt: 670639
  • Themen insgesamt: 54343
  • Heute online: 432
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online

Autor Thema:  Linux Mint 19.1 Xfce - Aktualisierung nicht möglich!  (Gelesen 435 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Hallo,

ich nutze seit einiger Zeit Linux Mint 19.1 Xfce und Cinnamon auf zwei verschiedenen Partitionen des gleichen PCs. Bei Cinnamon funktioniert die (automatische) Aktualisierung ohne Probleme. Als ich bei Xfce gerade zufällig in den Aktualisierungsverlauf geschaut habe, musste ich feststellen, dass die letzte Aktualisierung vor 2 1/2 Monaten war.

Bei dem Versuch, die ca. 90  noch ausstehenden Aktualisierungen manuell zu installieren kam folgende Fehlermeldung (gleich zu Beginn):

Zitat
E: Der dpkg-Prozess wurde unterbrochen; Sie müssen manuell »dpkg --configure -a« ausführen, um das Problem zu beheben.
E: _cache->open() failed, please report.

Gebe ich einfach »dpkg --configure -a« in den Terminal ein, kommt

Zitat
Fehler: Angeforderte Operation benötigt Superuser-Rechte

Kennt sich jemand da aus und weiß, wie ich die Aktualisierugnsverwaltung wieder zum Laufen bringe?

Vielen Dank,

Michael

Re: Linux Mint 19.1 Xfce - Aktualisierung nicht möglich!
« Antwort #1 am: 27.07.2019, 20:00:51 »
Versuche es mal so im Terminal:
sudo dpkg --configure -afalls das nicht hilft, dann weiter so:
sudo rm -rf /var/lib/apt/lists/*
sudo apt-get update

...spätestens jetzt sollte die Aktualisierung wieder laufen!
« Letzte Änderung: 27.07.2019, 20:05:48 von Hollex »

Re: Linux Mint 19.1 Xfce - Aktualisierung nicht möglich!
« Antwort #2 am: 27.07.2019, 20:08:08 »
OK, vielen Dank  :). Nachdem ich diesen Befehl im Terminal ausgeführt habe, kann ich jetzt die Aktualisierungen manuell starten.

Sollte damit mein Problem auch zukünftig behoben sein oder sollte ich jetzt noch was machen?

Re: Linux Mint 19.1 Xfce - Aktualisierung nicht möglich!
« Antwort #3 am: 27.07.2019, 20:09:40 »
...sollte so alles ok sein!
eventuell noch die automatische Aktualisierung aktivieren.

Re: Linux Mint 19.1 Xfce - Aktualisierung nicht möglich!
« Antwort #4 am: 27.07.2019, 20:20:10 »
Wunderbar, danke :)

Re: Linux Mint 19.1 Xfce - Aktualisierung nicht möglich!
« Antwort #5 am: 27.07.2019, 21:05:17 »
die automatische Aktualisierung aktivieren 
… oder vielleicht besser nicht? 
Man sieht ja an diesem Beispiel die Tücken der Automatik.
Wenn man nicht merkt, dass etwas nicht funktioniert. 

Re: Linux Mint 19.1 Xfce - Aktualisierung nicht möglich!
« Antwort #6 am: 27.07.2019, 21:23:17 »
Ich persönlich, würde die automatische Aktualisierung auch weg lassen!

losrobos

  • Gast
Re: Linux Mint 19.1 Xfce - Aktualisierung nicht möglich!
« Antwort #7 am: 28.07.2019, 04:36:23 »
Die automatische Installation der meisten Pakete wird wohl problemlos verlaufen, die Probleme beginnen bei Nachfragen wie etwa der Ersetzung von Konfigurationsdateien, bei den ca-certificates bekommt man die Release-Infos zu lesen, bis man diese weg geschaltet hat steht die Aktualisierung, übersieht man dies und fährt runter / startet neu ...